Create
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceCreateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/access_review \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"completionDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"duplicateFrom": "<string>",
"expandMask": {
"paths": [
"<string>"
]
},
"notificationConfig": {
"sendClose": true,
"sendReminders": true
},
"ownerIds": [
"<string>"
],
"policyId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review"
payload = {
"completionDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"duplicateFrom": "<string>",
"expandMask": { "paths": ["<string>"] },
"notificationConfig": {
"sendClose": True,
"sendReminders": True
},
"ownerIds": ["<string>"],
"policyId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
completionDate: '2023-11-07T05:31:56Z',
description: '<string>',
displayName: '<string>',
duplicateFrom: '<string>',
expandMask: {paths: ['<string>']},
notificationConfig: {sendClose: true, sendReminders: true},
ownerIds: ['<string>'],
policyId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessReview": {
"accessReview": {
"accessReviewTemplateId": "<string>",
"autoGenerateReport": true,
"autoResolve": true,
"bindings": {},
"closedAt": "2023-11-07T05:31:56Z",
"completionDate": "2023-11-07T05:31:56Z",
"connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"description": "<string>",
"displayName": "<string>",
"exclusionScope": {
"appUserStatuses": [],
"appUserTypes": []
},
"exemptCertifiedAccessConflicts": true,
"expectedTicketCount": 123,
"hasAccuracySupport": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"multiApp": {
"appEntitlementDetails": {},
"appEntitlements": {}
},
"notificationConfig": {
"sendClose": true,
"sendReminders": true
},
"policyId": "<string>",
"reviewInstructions": "<string>",
"scope": {
"appUserStatuses": [],
"appUserTypes": []
},
"scopeV2": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"scopingVersion": "<string>",
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"singleApp": {
"appId": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
},
"createdByUserPath": "<string>",
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
},
"policyPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Access Review
Create
Invokes the c1.api.accessreview.v1.AccessReviewService.Create method.
POST
/
api
/
v1
/
access_review
Create
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceCreateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The AccessReviewServiceCreateRequest message.
The description field.
The displayName field.
The duplicateFrom field.
The AccessReviewExpandMask message.
Show child attributes
Show child attributes
The NotificationConfig message.
Show child attributes
Show child attributes
The ownerIds field.
The policyId field.
The scopeType field.
Available options:
ACCESS_REVIEW_SCOPE_TYPE_UNSPECIFIED, ACCESS_REVIEW_SCOPE_TYPE_BY_ENTITLEMENTS, ACCESS_REVIEW_SCOPE_TYPE_BY_ACCESS_CONFLICTS Was this page helpful?
⌘I